org.richfaces.log

## Interface Logger

- All Known Implementing Classes:
    JavaLogger

      public interface Logger

  That interface hides current logging system from classes. Concrete implementation should provide appropriate logger instance that delegates messages to the current log system.
  Author:
    shura

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Logger.Level`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(CharSequence content)`
    `void` | `debug(CharSequence content, Throwable error)`
    `void` | `debug(Enum<?> messageKey, Object... args)`
    `void` | `debug(Throwable error)`
    `void` | `debug(Throwable error, Enum<?> messageKey, Object... args)`
    `void` | `error(CharSequence content)`
    `void` | `error(CharSequence content, Throwable error)`
    `void` | `error(Enum<?> messageKey, Object... args)`
    `void` | `error(Throwable error)`
    `void` | `error(Throwable error, Enum<?> messageKey, Object... args)`
    `void` | `info(CharSequence content)`
    `void` | `info(CharSequence content, Throwable error)`
    `void` | `info(Enum<?> messageKey, Object... args)`
    `void` | `info(Throwable error)`
    `void` | `info(Throwable error, Enum<?> messageKey, Object... args)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isErrorEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isLogEnabled(Logger.Level level)`
    `boolean` | `isWarnEnabled()`
    `void` | `log(Logger.Level level, CharSequence content)`
    `void` | `log(Logger.Level level, CharSequence content, Throwable error)`
    `void` | `log(Logger.Level level, Enum<?> messageKey, Object... args)`
    `void` | `log(Logger.Level level, Throwable error)`
    `void` | `log(Logger.Level level, Throwable error, Enum<?> messageKey, Object... args)`
    `void` | `warn(CharSequence content)`
    `void` | `warn(CharSequence content, Throwable error)`
    `void` | `warn(Enum<?> messageKey, Object... args)`
    `void` | `warn(Throwable error)`
    `void` | `warn(Throwable error, Enum<?> messageKey, Object... args)`

- - ### Method Detail

    - #### isDebugEnabled

          boolean isDebugEnabled()

      Returns:

    - #### debug

          void debug(CharSequence content)

      Parameters:
        `content` -

    - #### debug

          void debug(Enum<?> messageKey,
                     Object... args)

      Parameters:
        `messageKey` -
        `args` -

    - #### debug

          void debug(CharSequence content,
                     Throwable error)

      Parameters:
        `content` -
        `error` -

    - #### debug

          void debug(Throwable error,
                     Enum<?> messageKey,
                     Object... args)

      Parameters:
        `error` -
        `messageKey` -
        `args` -

    - #### debug

          void debug(Throwable error)

      Parameters:
        `error` -

    - #### isInfoEnabled

          boolean isInfoEnabled()

      Returns:

    - #### info

          void info(CharSequence content)

      Parameters:
        `content` -

    - #### info

          void info(Enum<?> messageKey,
                    Object... args)

      Parameters:
        `messageKey` -
        `args` -

    - #### info

          void info(CharSequence content,
                    Throwable error)

      Parameters:
        `content` -
        `error` -

    - #### info

          void info(Throwable error,
                    Enum<?> messageKey,
                    Object... args)

      Parameters:
        `error` -
        `messageKey` -
        `args` -

    - #### info

          void info(Throwable error)

      Parameters:
        `error` -

    - #### isWarnEnabled

          boolean isWarnEnabled()

      Returns:

    - #### warn

          void warn(CharSequence content)

      Parameters:
        `content` -

    - #### warn

          void warn(Enum<?> messageKey,
                    Object... args)

      Parameters:
        `messageKey` -
        `args` -

    - #### warn

          void warn(CharSequence content,
                    Throwable error)

      Parameters:
        `content` -
        `error` -

    - #### warn

          void warn(Throwable error,
                    Enum<?> messageKey,
                    Object... args)

      Parameters:
        `error` -
        `messageKey` -
        `args` -

    - #### warn

          void warn(Throwable error)

      Parameters:
        `error` -

    - #### isErrorEnabled

          boolean isErrorEnabled()

      Returns:

    - #### error

          void error(CharSequence content)

      Parameters:
        `content` -

    - #### error

          void error(Enum<?> messageKey,
                     Object... args)

      Parameters:
        `messageKey` -
        `args` -

    - #### error

          void error(CharSequence content,
                     Throwable error)

      Parameters:
        `content` -
        `error` -

    - #### error

          void error(Throwable error,
                     Enum<?> messageKey,
                     Object... args)

      Parameters:
        `error` -
        `messageKey` -
        `args` -

    - #### error

          void error(Throwable error)

      Parameters:
        `error` -

    - #### isLogEnabled

          boolean isLogEnabled(Logger.Level level)

      Parameters:
        `level` -
      Returns:

    - #### log

          void log(Logger.Level level,
                   CharSequence content)

      Parameters:
        `level` -
        `content` -

    - #### log

          void log(Logger.Level level,
                   CharSequence content,
                   Throwable error)

      Parameters:
        `level` -
        `content` -
        `error` -

    - #### log

          void log(Logger.Level level,
                   Throwable error)

      Parameters:
        `level` -
        `error` -

    - #### log

          void log(Logger.Level level,
                   Enum<?> messageKey,
                   Object... args)

      Parameters:
        `level` -
        `messageKey` -
        `args` -

    - #### log

          void log(Logger.Level level,
                   Throwable error,
                   Enum<?> messageKey,
                   Object... args)

      Parameters:
        `level` -
        `error` -
        `messageKey` -
        `args` -

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.